import { BackHandler } from "react-native";

class GlobalBackHandler {
  constructor() {
    this.backHandler = null;
  }

  disableBackButton() {
    this.backHandler = BackHandler.addEventListener("hardwareBackPress", () => {
      return true;
    });
  }

  enableBackButton() {
    try {
      this.backHandler.remove();
    } catch (error) {
      console.log("back button not set so disable failed", error);
    }
  }
}

export default new GlobalBackHandler();
